## gnustep-base 1.24.9

=== debian/changelog ===
gnustep-base (1.24.9-3ubuntu2) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:39:57 +0000

gnustep-base (1.24.9-3ubuntu1) yakkety; urgency=medium

  * Ignore the failing NSInvocation/NSRect test failure on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 17:27:53 +0200

gnustep-base (1.24.9-3) unstable; urgency=medium

  * New fix-thread-deadlock patch (Closes: #649419).
  * New fix-test-icu2 patch (Closes: #833755).
  * Build using default gobjc: update control file.
  * Update description of fix-test-lock patch.
  * Update debian/copyright file (Thanks to cme).

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Tue, 09 Aug 2016 18:32:12 +0200

gnustep-base (1.24.9-2) unstable; urgency=medium

  * Display Tests/tests.log file if tests fail.
  * Now Build-Depends on latest gobjc-5i.
  * New fix-spelling-errors3 patch.
  * Don't install config.log to avoid unreproducibility issue.
  * Display config.log if configure script fails.
  * New debian/libgnustep-base1.24.symbols.kfreebsd-amd64  file.
  * New debian/libgnustep-base1.24.symbols.kfreebsd-i386 file.
  * Thanks to Richard Frith-Macdonald:
    + New fix-ftbfs-hurd patch 
    + New fix-test-lock patch to avoid FTFS on non linux arch
    + New fix-ftbfs-s390x patch
    + New fix-ftbfs-kfreebsd patch
    + New fix-test-var-size patch
    + New fix-gdnc patch
    + New fix-tests-timings patch
    + New fix-test-var-size patch:
      remove workaround for tests in debian/rules
    + Replace fix-test-chroot patch by fix-test-pipe patch. 

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Mon, 27 Jun 2016 21:09:17 +0200

gnustep-base (1.24.9-1) unstable; urgency=low

  * Team upload.
  * New Upstream version 1.24.9
  * Update fix-spelling-errors.patch
  * Update doc-links.patch
  * Update info-direntry.patch
  * Update pldes-manpage-rename.patch
  * Update manpage-fixes.patch
  * Update texinfo5.diff
  * New fix-test-icu.patch
  * New fix-spelling-errors2.patch
  * New debian/patches/fix-tests-network.patch
  * New fix-test-chroot.patch
  * Remove testsuite-fixes.patch, now useless
  * Move debian/*.in and debian/*.m4 to new debian/templates directory
    + Update debian/templates/control.m4
      - In agreement with the Debian GNUstep maintainers,
        add myself as new Co-Maintainer
      - Bump Standards-Version to 3.9.8
      - Now depends on latest gnustep-make
      - Remove unused {gnustep:Depends} variable
      - Update Vcs-* fields
      - Add build dependency to dh-exec
      - Add build dependency to dh-autoreconf,
        and remove build dependency to autotools-dev
      - Tighten dependencies
    + Update debian/templates/gnustep-base-common.xmlcatalogs.in file
    + Update debian/templates/libgnustep-base-dev.install.in file
    + Rename gnustep-base-runtime.gdomap.in
       to gnustep-base-runtime.gdomap.init.i
    + Provide a new debian/templates/gnustep-base-common.install.in file
    + Provide new debian/templates/gnustep-base-common.links.in file
    + Provide new debian/templates/gnustep-base-runtime.install.in file
    + Provide a new debian/templates/gnustep-base-runtime.links.in file
    + Provide a new debian/templates/libgnustep-base-dev.install.in file
    + Provide a new debian/templates/gnustep-base-doc.install.in file
    + Provide a new debian/templates/libgnustep-baseN.install.in file
    + Provide a new debian/templates/libgnustep-baseN-dbg.docs.in file
    + Remove debian/templates/libgnustep-baseN.overrides.m4 file, now useless
  * Update debian/watch file to version 4
  * Update debian/copyright file
  * Update debian/gnustep-base-runtime.lintian-overrides file
  * Rename debian/gdomap.default to debian/gnustep-base-runtime.gdomap.default
  * Provide a new debian/clean file
  * Provide a new debian/gnustep-base-common.docs file
  * Provide a new debian/gnustep-base-runtime.manpages file
  * Provide a new debian/libgnustep-base1.24.symbols file
  * Provide a new debian/gnustep-base-doc.docs file
  * Provide a new debian/gnustep-base-examples.dirs file
  * Provide a new debian/gnustep-base-examples.examples file
  * Remove debian/source.lintian-overrides file, now useless
  * Remove debian/upstream/ signing-key.pgp file,
    add debian/upstream/signing-key.asc file,
    remove debian/source/ include-binaries file
  * Rewrite debian/rules for easier maintenance
    + Switch from autotools-dev to dh-autoreconf
    + Use override_dh_* targets
    + Enable hardening
    + Fix crash when runnig tests

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Thu, 26 May 2016 11:31:39 +0200
