## gnustep-base 1.25.0

=== debian/changelog ===
gnustep-base (1.25.0-2ubuntu2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:58:09 +0000

gnustep-base (1.25.0-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Ignore the failing NSInvocation/NSRect test failure on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Nov 2017 19:32:00 +0100

gnustep-base (1.25.0-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/patches/autogsdoc-reproducibility.patch: New; fix
    reproducibility issue with autogsdoc.
  * debian/patches/series: Update.
  * debian/templates/control.m4: Relax some dependencies for smoother
    transitions.
  * debian/control: Regenerate.
  * debian/rules: Remove --with autoreconf; not needed for compat level
    10.  Handle "noopt" manually to take advantage of gnustep-make's
    debug=yes option.
    (v_make): Require at least 2.7.0-3 for the optim definition.
    (DEB_LDFLAGS_MAINT_APPEND): Add -Wl,--no-undefined.
    (override_dh_shlibdeps): Add -runtime to generated shlibs.
  * debian/templates/libgnustep-baseN.lintian-overrides.m4: Override
    shlibs-declares-dependency-on-other-package.

  [ Eric Heintzmann ]
  * Upload to unstable.
  * debian/templates/control.m4: Mark gnustep-base-doc as Multi-Arch: foreign.
  * debian/control: Regenerate.
  * debian/changelog: Remove trailing whitespaces.
  * debian/rules: Remove trailing whitespace.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sun, 29 Oct 2017 10:16:51 +0100

gnustep-base (1.25.0-1) experimental; urgency=medium

  [ Eric Heintzmann ]
  * New upstream version 1.25.0:
    + Garbage collection support removed (Closes: #145759).
    + Rename library package as per SONAME change:
      - libgnustep-base1.24 -> libgnustep-base1.25
  * debian/patches:
    + Remove patches already applied upstream:
      - fix-thread-deadlock
      - fix-ftbfs-hurd
      - fix-spelling-errors3
      - fix-ftbfs-s390x
      - fix-test-var-size
      - fix-ftbfs-kfreebsd
      - fix-test-lock
      - fix-test-pipe
      - info-direntry
      - fix-spelling-errors2
      - fix-test-includedirs
      - fix-test-icu
      - fix-spelling-errors
      - fix-gdnc
      - fix-test-icu2
    + Refresh patches:
      - fix-tests-network
      - manpage-fixes
    + New fix-spelling-error patch.
  * debian/templates/control.m4:
    + Add tzdata to build dependencies.
    + Bump Standards-Version to 4.1.0
    + Update Vcs-Browser field
    + Update Gürkan's name.
  * debian/rules:
    + Now build depends on latest gnustep-make
    + Update gobjc version
    + Remove -pie option.
    + Add --as-needed to LDFLAGS.
    + Remove -shared-libgcc LDFLAG, now useless
  * Update libgnustep-base-dev.install.in file.
  * Remove obsolete symbols file and override lintian warning
  * Add a testsuite.
  * Update debian/clean file.

  [ Yavor Doganov ]
  * debian/templates/control.m4: Remove -dbg package; switch to automatic
    -dbgsym packages.
    (Build-Depends): Require debhelper >= 10.  Remove dh-autoreconf, not
    necessary with compat level 10.
    (gnustep-base-common) <Depends>: Add tzdata; thanks Andreas Beckmann
    (Closes: #857153).
    (gnustep-base-examples): Remove; move contents to the -doc package.
    (gnustep-base-doc): Add appropriate Replaces and Breaks.
    (Standards-Version): Bump to 4.1.1; no changes needed.
  * debian/control: Regenerate.
  * debian/templates/libgnustep-baseN-dbg.docs.in: Delete.
  * debian/rules: Replace shell comments with makefile comments.
    (p_dbg, p_exam, override_dh_strip): Remove.
    (override_dh_installdocs): Remove entirely; --link-doc is unsupported
    for packages with different architecture types.
    (override_dh_install): Remove; gsdoc files are necessary for correct
    references when building other GNUstep documentation.
    (override_dh_testdir): New; ensure that control is always regenerated
    so that any changes to the template are taken into account.
    (override_dh_auto_configure): Remove control generation snippet.
    (override_dh_installexamples, override_dh_compress): Act on the -doc
    package since -examples is being removed.
  * debian/compat: Bump compat level to 10.
  * debian/gnustep-base-runtime.mainscript:
  * debian/libgnustep-base-dev.maintscript: New; handle the transformation
    of symlinks to real directories.
  * debian/gnustep-base-examples.examples: Rename as...
  * debian/gnustep-base-doc.examples: ...since -examples is moved to -doc.
  * debian/gnustep-base-examples.dirs: Delete.
  * debian/NEWS: Inform users that examples are now available in -doc.
  * debian/copyright: Update copyright years

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sat, 07 Oct 2017 17:05:40 +0200

gnustep-base (1.24.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D: tzdata to fix a FTBFS (Closes: #839409).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 03 Feb 2017 00:12:50 +0500
