## gnustep-base 1.25.1

=== debian/changelog ===
gnustep-base (1.25.1-2ubuntu3) bionic; urgency=medium

  * Ignore tests on armhf
  * Reapply also testsuite-armhf patch
  * Reapply icu-workaround patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Mar 2018 13:43:19 +0100

gnustep-base (1.25.1-2) unstable; urgency=medium

  * debian/patches/autogsdoc-reproducibility.patch: Also fix
    -mergeMarkup:ofKind:.
  * debian/patches/portmessage-msgid.patch: New; cherry-pick as it is
    needed by lynkeos.app/2.10.
  * debian/patches/icu-60.patch: New; fix testsuite failure/FTBFS with
    ICU 60.2 (Closes: #888908).
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Vcs-Git, Vcs-Browser): Update fields to
    point to salsa.debian.org.
  * debian/control: Regenerate.
  * debian/rules: Remove boilerplate dh_make comments as they trigger a
    lintian error.
    (override_dh_auto_configure): Pass --disable-icu-config as icu-config
    has been removed in icu/59.1-1 (also addresses #888908).

 -- Yavor Doganov <yavor@gnu.org>  Fri, 16 Feb 2018 09:22:43 +0200

gnustep-base (1.25.1-1) unstable; urgency=medium

  * New upstream release:
    + Fixes use-after-free in privateSetLocale; thanks Jakub Wilk for the
      bug report (Closes: #880575).
  * debian/watch: Track ftp.gnustep.org.
  * debian/compat: Bump compat level to 11.
  * debian/gnustep-base-runtime.gdomap.default: Remove ENABLED as per
    new Policy requirement in 9.3.3.1.
  * debian/templates/gnustep-base-runtime.gdomap.init.in: Remove all code
    snippets related to ENABLED.
  * debian/rules (override_dh_installinit): Pass --no-enable.
    (override_dh_auto_build-arch): Pass dpkg-buildflags explicitly as C
    files are compiled without hardening flags.
  * debian/templates/control.m4 (Build-Depends): Require debhelper (>=
    11.1) for dh_insallinit --no-enable.
    (Standards-Version): Claim compliance with 4.1.3 as of this release.
  * debian/control: Regenerate.
  * debian/patches/pkg-config-macro.patch: New, use PKG_PROG_PKG_CONFIG to
    find pkg-config; handles cross-compilation properly.
  * debian/patches/series: Update.
  * debian/tests/testsuite: New; run the whole testsuite.
  * debian/tests/control (Tests): Add testsuite.
    (Restrictions): Add allow-stderr.
    (Depends): Add @builddeps@.
  * debian/templates/libgnustep-baseN.lintian-overrides.m4: Remove
    no-symbols-control-file as #749202 has been fixed.
  * debian/copyright: Update debian copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 19 Jan 2018 18:50:53 +0200
