=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11.1),
                gnustep-make (>= 2.7.0-3),
                gobjc,
                libffi-dev,
@@ -25,9 +25,9 @@
                      texlive-fonts-recommended,
                      xml-core
 Build-Conflicts: libgmp3-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnustep/gnustep-base.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-base.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
+Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
 Homepage: http://gnustep.org
 
 Package: gnustep-base-common
