=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,7 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-
-# see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
 
 # config.mk is provided by gnustep-make package
@@ -121,6 +112,7 @@
 # GNU/kFreeBSD even if libkvm-dev is installed (#593898).
 	dh_auto_configure -- \
 	    ac_cv_lib_kvm_kvm_getenvv=no \
+	    --disable-icu-config \
 	    --disable-bfd  || (cat config.log; exit 1)
 
 override_dh_auto_build-arch:
@@ -128,7 +120,8 @@
 	dh_auto_build -- \
 	    messages=yes \
 	    $(optim) \
-	    doc=no
+	    doc=no \
+	    $(shell dpkg-buildflags --export=cmdline)
 
 # build dev/static lib
 	dh_auto_build -- \
@@ -158,7 +151,7 @@
 	-dh_auto_test -- \
 	    messages=yes  || (cat Tests/tests.log; exit 1)
 else
-	dh_auto_test -- \
+	-dh_auto_test -- \
 	    messages=yes  || (cat Tests/tests.log; exit 1)
 endif
 
@@ -198,9 +191,9 @@
 	dh_installxmlcatalogs -p$(p_com) -n
 	dh_installcatalogs --remaining-packages
 
-# Install the gdomap  init script
+# Install the gdomap init script
 override_dh_installinit:
-	dh_installinit -p$(p_run) --name=gdomap
+	dh_installinit -p$(p_run) --name=gdomap --no-enable
 
 # Install examples
 override_dh_installexamples:
