=== debian/tests/control ===
Tests: file-tests testsuite
Restrictions: allow-stderr
Depends: @, @builddeps@, file, shunit2
