## gnustep-base 1.26.0

=== debian/changelog ===
gnustep-base (1.26.0-4+deb10u1) buster; urgency=medium

  * debian/gnustep-base-runtime.preinst: New file; handle the poor
    upgrade from stretch to buster which left the gdomap daemon enabled
    (Closes: #939119).  Thanks to Alan Jenkins.
  * debian/NEWS: Document that the gdomap daemon is disabled forcefully.
  * debian/patches/gdomap-udp-amplification.patch: New; fix UDP
    amplification vulnerability.  Patch by Alan Jenkins.
  * debian/patches/series: Update.
  * debian/gbp.conf: Set debian-branch to buster.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 22 Sep 2019 12:44:38 +0300

gnustep-base (1.26.0-4) unstable; urgency=medium

  * debian/patches/armhf-test.patch: New; ignore a failing test on armhf
    and attempt to investigate the failure (Addresses: #918366).  Not
    closing it as I'm quite confident it's a real bug in GNUstep or GCC.
  * debian/patches/series: Update.
  * debian/rules (override_dh_auto_test): Print the NSRect's from the
    failing test on armhf.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 01 Feb 2019 23:20:45 +0200

gnustep-base (1.26.0-3) unstable; urgency=medium

  * debian/templates/control.m4: Tighten dependencies, disallowing partial
    upgrades and co-installation of different library versions.  This
    reverts the changes made in 1.25.0-2 (Addresses: #918844).
  * debian/control: Regenerate.
  * debian/gnustep-base-doc.examples: Remove Version and config.mak to
    make the build reproducible; they are not needed anyway.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 17 Jan 2019 14:39:54 +0200

gnustep-base (1.26.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/rules: Suppress verbose output in install/clean recipes.  It is
    uninteresting and extremely unlikely to vary across architectures.
    (override_dh_auto_configure): Drop --disable-icu-config.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 10 Jan 2019 14:59:50 +0200

gnustep-base (1.26.0-1) experimental; urgency=medium

  * New upstream release:
    - Detects ICU with pkg-config (Closes: #915714).
    - SONAME change: libgnustep-base1.25 -> 1.26.
  * Remove patches applied upstream:
    - portmessage-msgid.patch;
    - icu-60.patch;
    - hurd-systemuptime.patch.
  * debian/patches/pkg-config-macro.patch: Remove hunks applied upstream
    (that is, all of them).  However, upstream opted to cater for ancient
    pkg-config which does not provide the PKG_PROG_PKG_CONFIG macro and
    this approach still triggers a lintian warning; update accordingly.
  * debian/patches/fix-spelling-error.patch: Refresh.
  * debian/patches/fix-tests-network.patch: Refresh and mark 2 more tests
    as hopeful (GSXML).
  * debian/patches/series: Update.
  * debian/compat: Bump to 12.
  * debian/templates/control.m4 (Build-Depends): Bump debhelper
    requirement to match the compat level.
    (Standards-Version): Claim compliance with 4.3.0; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/rules: Replace all occurrences of "messages=yes" with
    "$(verbose)" to support "terse" in DEB_BUILD_OPTIONS.
    (v_make): Bump to 2.7.0-4 for "terse" support.
    (override_dh_installinit): Also pass --no-start (Closes: #913914).
    (override_dh_auto_install-indep): Delete duplicate or otherwise
    unnecessary files which trigger lintian warnings.
    (override_dh_compress): Remove; not necessary with compat 12.
  * debian/upstream/signing-key.asc: Minimize.
  * debian/gnustep-base-doc.lintian-overrides: New; override
    package-contains-documentation-outside-usr-share-doc for a node from
    the Texinfo manual in HTML format; it is in GNUSTEP_DOC on purpose.
  * debian/gbp.conf: New file.
  * debian/templates/gnustep-base-runtime.install.in: Add usr/share/man as
    all manpages are installed by the upstream build system; there's no
    need to install them explicitly.
  * debian/gnustep-base-runtime.manpages: Delete; not really necessary.
  * debian/not-installed: New file; explicitly list all files which are
    not installed on purpose.
  * debian/copyright: Add explicit entry for Source/Additions/Unicode.m,
    which is now (a portion of) under the Expat license and copyrighted by
    Bjoern Hoehrmann.  Bump copyright years for Debian packaging.  There
    were copyrightable changes upstream in 2018 but these are not actually
    reflected in the source files so leave statements as they are.
  * debian/clean: Update for the new SONAME.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 08 Jan 2019 04:07:39 +0200

gnustep-base (1.25.1-4) unstable; urgency=medium

  * debian/patches/hurd-systemuptime.patch: New, fix intermittent test
    failure/FTBFS on GNU/Hurd when procfs is not available.
  * debian/patches/series: Update.
  * debian/templates/control.m4: Move Suggests: gnustep-base-doc from
    -common to the -dev package as it is most useful for developers.
    Remove version requirement; not really needed.  Likewise, let the -doc
    package recommend -dev without specific version.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 21 May 2018 11:11:29 +0300

gnustep-base (1.25.1-3) unstable; urgency=medium

  * debian/patches/icu-60.patch: Fix FTBFS on big-endian architectures
    (really closes: #888908).
  * debian/templates/control.m4 (Standards-Version): Bump to 4.1.4; no
    changes required.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 11 May 2018 15:55:27 +0300
