=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 v_objc := 4:7.2
 
 # GNUstep Make version :
-v_make	:= 2.7.0-3
+v_make	:= 2.7.0-4
 
 # GNUstep Base version :
 v_base	:= $(shell . ./Version; echo $$VERSION)
@@ -112,13 +112,12 @@
 # GNU/kFreeBSD even if libkvm-dev is installed (#593898).
 	dh_auto_configure -- \
 	    ac_cv_lib_kvm_kvm_getenvv=no \
-	    --disable-icu-config \
 	    --disable-bfd  || (cat config.log; exit 1)
 
 override_dh_auto_build-arch:
 # build shared libs
 	dh_auto_build -- \
-	    messages=yes \
+	    $(verbose) \
 	    $(optim) \
 	    doc=no \
 	    $(shell dpkg-buildflags --export=cmdline)
@@ -126,7 +125,7 @@
 # build dev/static lib
 	dh_auto_build -- \
 	    -C Source \
-	    messages=yes \
+	    $(verbose) \
 	    $(optim) \
 	    doc=no \
 	    shared=no
@@ -134,7 +133,7 @@
 override_dh_auto_build-indep:
 # build shared libs
 	dh_auto_build -- \
-	    messages=yes \
+	    $(verbose) \
 	    $(optim) \
 	    doc=no
 
@@ -142,47 +141,50 @@
 	LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
 	dh_auto_build -- \
 	    -C Documentation \
-	    messages=yes \
+	    $(verbose) \
 	    $(optim) \
 	    doc=yes
 
 override_dh_auto_test:
-ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
-	-dh_auto_test -- \
-	    messages=yes  || (cat Tests/tests.log; exit 1)
-else
-	-dh_auto_test -- \
-	    messages=yes  || (cat Tests/tests.log; exit 1)
+	dh_auto_test -- \
+	    $(verbose)  || (cat Tests/tests.log; exit 1)
+# Print the results from a failing test on armhf; see d/p/armhf-test.patch.
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_BUILD_ARCH),armhf)
+	-cat Tests/base/NSInvocation/armhf.log
+endif
 endif
 
 override_dh_auto_install-arch:
 # install shared version of libraries
 	dh_auto_install -- \
-	    messages=yes \
 	    doc=no
 
 # install dev/static lib
 	dh_auto_install -- \
 	    -C Source \
-	    messages=yes \
 	    doc=no \
 	    shared=no
 
 override_dh_auto_install-indep:
 # install shared version of libraries
 	dh_auto_install -- \
-	    messages=yes \
 	    doc=no
 
 # install doc
 	dh_auto_install -- \
 	    -C Documentation \
-	    message=yes \
 	    doc=yes
+# Delete duplicate files already shipped at /usr/share/doc/.
+	$(RM) -r \
+	  debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Base/ReleaseNotes/1.*
+# Delete README which triggers lintian I: gnustep-base-common:
+# package-contains-documentation-outside-usr-share-doc.  These
+# instructions are unnecessary as the Debian package uses tzdata.
+	$(RM) debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/README
 
 override_dh_auto_clean-indep:
 	dh_auto_clean -- \
-	    messages=yes \
 	    doc=yes
 
 
@@ -193,17 +195,12 @@
 
 # Install the gdomap init script
 override_dh_installinit:
-	dh_installinit -p$(p_run) --name=gdomap --no-enable
+	dh_installinit -p$(p_run) --name=gdomap --no-enable --no-start
 
 # Install examples
 override_dh_installexamples:
 	dh_installexamples -p$(p_doc) -X.cvsignore -X.gdbinit -X.arch-ids
 	dh_installexamples --remaining-packages
-
-# Don't compress example source files
-override_dh_compress:
-	dh_compress -p$(p_doc) -X.m -XGNUmakefile
-	dh_compress --remaining-packages
 
 override_dh_shlibdeps:
 	dh_shlibdeps
